Bug 480814 - Use SHA-2 in repodata (both release and updates)
Use SHA-2 in repodata (both release and updates)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On: 480791
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 12:37 EST by Jesse Keating
Modified: 2013-01-10 00:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 480791
Environment:
Last Closed: 2010-04-27 11:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-01-20 12:37:23 EST
+++ This bug was initially created as a clone of Bug #480791 +++

Some weaknesses have been discovered in SHA-1, we should migrate to SHA-2 hashes used in repodata.  See https://fedoraproject.org/wiki/Features/StrongerHashes for more rationale and information.

Eventually this should be possible simply by passing "-s sha256" to createrepo.

--- Additional comment from jkeating@redhat.com on 2009-01-20 12:32:25 EDT ---

This is really a mash and pungi bug, as those are the tools being used to create the distribution.  assigning and cloning as such.
Comment 1 Jesse Keating 2009-02-05 20:43:36 EST
This has been done for pungi upstream, so the releases (beta, et al) will see this.

Getting it into updates is going to be harder, as we currently use the RHEL5 package set to make updates repos.
Comment 2 Bug Zapper 2009-06-09 06:48:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:46:01 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2010-04-27 11:17:44 EDT
I think this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.